CVE-2019-5477
CVE-2019-5477, security advisory, novell, suse linux, suse, security, cve

CVE-2019-5477

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2019-5477 at MITRE

Description

A command injection vulnerability in Nokogiri v1.10.3 and earlier allows commands to be executed in a subprocess via Ruby's `Kernel.open` method. Processes are vulnerable only if the undocumented method `Nokogiri::CSS::Tokenizer#load_file` is being called with unsafe user input as the filename. This vulnerability appears in code generated by the Rexical gem versions v1.0.6 and earlier. Rexical is used by Nokogiri to generate lexical scanner code for parsing CSS queries. The underlying vulnerability was addressed in Rexical v1.0.7 and Nokogiri upgraded to this version of Rexical in Nokogiri v1.10.4.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  SUSE
Base Score 8.1
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 1146578 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • crowbar-core >= 4.0+git.1570463621.40b11cd48-9.54.1
  • ruby2.1-rubygem-chef >= 10.32.2-5.12.1
  • ruby2.1-rubygem-easy_diff >= 1.0.0-3.3.1
  • rubygem-chef >= 10.32.2-5.12.1
  • rubygem-easy_diff >= 1.0.0-3.3.1
  • sleshammer >= 0.7.0-0.18.12.3
  • sleshammer-aarch64 >= 0.7.0-0.18.12.3
  • sleshammer-x86_64 >= 0.7.0-0.18.12.3
Patchnames:
SUSE-Storage-4-2019-2671
SUSE OpenStack Cloud 7
  • crowbar-core >= 4.0+git.1570463621.40b11cd48-9.54.1
  • crowbar-core-branding-upstream >= 4.0+git.1570463621.40b11cd48-9.54.1
  • crowbar-openstack >= 4.0+git.1569429513.e7016b2b6-9.59.1
  • grafana >= 4.6.5-1.11.2
  • novnc >= 1.0.0-12.1
  • openstack-keystone >= 10.0.3~dev9-7.18.2
  • openstack-keystone-doc >= 10.0.3~dev9-7.18.2
  • openstack-neutron >= 9.4.2~dev21-7.32.1
  • openstack-neutron-dhcp-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-doc >= 9.4.2~dev21-7.32.1
  • openstack-neutron-ha-tool >= 9.4.2~dev21-7.32.1
  • openstack-neutron-l3-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-lbaas >= 9.2.2~dev11-4.18.3
  • openstack-neutron-lbaas-agent >= 9.2.2~dev11-4.18.3
  • openstack-neutron-lbaas-doc >= 9.2.2~dev11-4.18.3
  • openstack-neutron-linuxbridge-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-macvtap-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-metadata-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-metering-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-openvswitch-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-server >= 9.4.2~dev21-7.32.1
  • openstack-nova >= 14.0.11~dev13-4.34.3
  • openstack-nova-api >= 14.0.11~dev13-4.34.3
  • openstack-nova-cells >= 14.0.11~dev13-4.34.3
  • openstack-nova-cert >= 14.0.11~dev13-4.34.3
  • openstack-nova-compute >= 14.0.11~dev13-4.34.3
  • openstack-nova-conductor >= 14.0.11~dev13-4.34.3
  • openstack-nova-console >= 14.0.11~dev13-4.34.3
  • openstack-nova-consoleauth >= 14.0.11~dev13-4.34.3
  • openstack-nova-doc >= 14.0.11~dev13-4.34.2
  • openstack-nova-novncproxy >= 14.0.11~dev13-4.34.3
  • openstack-nova-placement-api >= 14.0.11~dev13-4.34.3
  • openstack-nova-scheduler >= 14.0.11~dev13-4.34.3
  • openstack-nova-serialproxy >= 14.0.11~dev13-4.34.3
  • openstack-nova-vncproxy >= 14.0.11~dev13-4.34.3
  • openstack-tempest >= 12.2.1~a0~dev177-4.6.3
  • openstack-tempest-test >= 12.2.1~a0~dev177-4.6.3
  • python-keystone >= 10.0.3~dev9-7.18.2
  • python-neutron >= 9.4.2~dev21-7.32.1
  • python-neutron-lbaas >= 9.2.2~dev11-4.18.3
  • python-nova >= 14.0.11~dev13-4.34.3
  • python-pysaml2 >= 4.0.2-3.11.3
  • python-tempest >= 12.2.1~a0~dev177-4.6.3
  • python-urllib3 >= 1.16-3.9.2
  • ruby2.1-rubygem-chef >= 10.32.2-5.12.1
  • ruby2.1-rubygem-easy_diff >= 1.0.0-3.3.1
  • rubygem-chef >= 10.32.2-5.12.1
  • rubygem-easy_diff >= 1.0.0-3.3.1
  • sleshammer >= 0.7.0-0.18.12.3
  • sleshammer-aarch64 >= 0.7.0-0.18.12.3
  • sleshammer-ppc64le >= 0.7.0-0.18.12.3
  • sleshammer-s390x >= 0.7.0-0.18.12.3
  • sleshammer-x86_64 >= 0.7.0-0.18.12.3
Patchnames:
SUSE-OpenStack-Cloud-7-2019-2671

List of packages in QA

Product(s) Package(s)
SUSE Enterprise Storage 4
  • crowbar-core >= 4.0+git.1570463621.40b11cd48-9.54.1
  • ruby2.1-rubygem-chef >= 10.32.2-5.12.1
  • ruby2.1-rubygem-easy_diff >= 1.0.0-3.3.1
  • rubygem-chef >= 10.32.2-5.12.1
  • rubygem-easy_diff >= 1.0.0-3.3.1
  • sleshammer >= 0.7.0-0.18.12.3
  • sleshammer-aarch64 >= 0.7.0-0.18.12.3
  • sleshammer-debugsource >= 0.7.0-0.18.12.3
  • sleshammer-x86_64 >= 0.7.0-0.18.12.3
SUSE OpenStack Cloud 7
  • crowbar-core >= 4.0+git.1570463621.40b11cd48-9.54.1
  • crowbar-core-branding-upstream >= 4.0+git.1570463621.40b11cd48-9.54.1
  • crowbar-openstack >= 4.0+git.1569429513.e7016b2b6-9.59.1
  • grafana >= 4.6.5-1.11.2
  • novnc >= 1.0.0-12.1
  • openstack-keystone >= 10.0.3~dev9-7.18.2
  • openstack-keystone-doc >= 10.0.3~dev9-7.18.2
  • openstack-neutron >= 9.4.2~dev21-7.32.1
  • openstack-neutron-dhcp-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-doc >= 9.4.2~dev21-7.32.1
  • openstack-neutron-ha-tool >= 9.4.2~dev21-7.32.1
  • openstack-neutron-l3-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-lbaas >= 9.2.2~dev11-4.18.3
  • openstack-neutron-lbaas-agent >= 9.2.2~dev11-4.18.3
  • openstack-neutron-lbaas-doc >= 9.2.2~dev11-4.18.3
  • openstack-neutron-linuxbridge-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-macvtap-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-metadata-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-metering-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-openvswitch-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-server >= 9.4.2~dev21-7.32.1
  • openstack-nova >= 14.0.11~dev13-4.34.3
  • openstack-nova-api >= 14.0.11~dev13-4.34.3
  • openstack-nova-cells >= 14.0.11~dev13-4.34.3
  • openstack-nova-cert >= 14.0.11~dev13-4.34.3
  • openstack-nova-compute >= 14.0.11~dev13-4.34.3
  • openstack-nova-conductor >= 14.0.11~dev13-4.34.3
  • openstack-nova-console >= 14.0.11~dev13-4.34.3
  • openstack-nova-consoleauth >= 14.0.11~dev13-4.34.3
  • openstack-nova-doc >= 14.0.11~dev13-4.34.2
  • openstack-nova-novncproxy >= 14.0.11~dev13-4.34.3
  • openstack-nova-placement-api >= 14.0.11~dev13-4.34.3
  • openstack-nova-scheduler >= 14.0.11~dev13-4.34.3
  • openstack-nova-serialproxy >= 14.0.11~dev13-4.34.3
  • openstack-nova-vncproxy >= 14.0.11~dev13-4.34.3
  • openstack-tempest >= 12.2.1~a0~dev177-4.6.3
  • openstack-tempest-test >= 12.2.1~a0~dev177-4.6.3
  • python-keystone >= 10.0.3~dev9-7.18.2
  • python-neutron >= 9.4.2~dev21-7.32.1
  • python-neutron-lbaas >= 9.2.2~dev11-4.18.3
  • python-nova >= 14.0.11~dev13-4.34.3
  • python-pysaml2 >= 4.0.2-3.11.3
  • python-tempest >= 12.2.1~a0~dev177-4.6.3
  • python-urllib3 >= 1.16-3.9.2
  • ruby2.1-rubygem-chef >= 10.32.2-5.12.1
  • ruby2.1-rubygem-easy_diff >= 1.0.0-3.3.1
  • rubygem-chef >= 10.32.2-5.12.1
  • rubygem-easy_diff >= 1.0.0-3.3.1
  • sleshammer >= 0.7.0-0.18.12.3
  • sleshammer-aarch64 >= 0.7.0-0.18.12.3
  • sleshammer-debugsource >= 0.7.0-0.18.12.3
  • sleshammer-ppc64le >= 0.7.0-0.18.12.3
  • sleshammer-s390x >= 0.7.0-0.18.12.3
  • sleshammer-x86_64 >= 0.7.0-0.18.12.3


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise BSK 12 SP4 rubygem-nokogiri Affected
SUSE Linux Enterprise High Availability 15 GA rubygem-nokogiri Affected
SUSE Linux Enterprise High Availability 15 SP1 rubygem-nokogiri Affected
SUSE Openstack Cloud 6 rubygem-nokogiri Affected
SUSE Openstack Cloud 7 rubygem-nokogiri Affected
SUSE Openstack Cloud 8 rubygem-nokogiri Affected
SUSE Openstack Cloud 9 rubygem-nokogiri Affected
SUSE Storage 4 rubygem-nokogiri Affected